> For the complete documentation index, see [llms.txt](https://docs.0resmon.org/0resmon/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.0resmon.org/0resmon/wais-resoucres/wais-jobpack/job-settings/mobile-hotdog.md).

# Mobile Hotdog

{% hint style="warning" %}
**Make sure to add the necessary items, item images and job names required for the job**
{% endhint %}

* <mark style="background-color:yellow;">**\["name"]:**</mark> It is the label that will appear in menus or notifications.
* The <mark style="background-color:yellow;">**\[‘menu’]**</mark> variable consists of things related to the location from which the job is to be retrieved
  * <mark style="background-color:orange;">\["job\_menu"]:</mark> <mark style="color:yellow;">@vector3</mark> Accepts. The menu access location of the job.
  * <mark style="background-color:orange;">\["interaction\_distance"]:</mark> <mark style="color:yellow;">@float</mark> Accepts. The player distance controlled to access the menu.
* <mark style="background-color:orange;">\["reward"]:</mark> <mark style="color:yellow;">@number</mark> Between $4 and $13. You can enter the price you want.
* <mark style="background-color:orange;">\["randomPedTime"]:</mark> <mark style="color:yellow;">@number</mark> It is a variable of how many seconds the customer NPCs will spawn. You can only write in the number.

***

## 🪜Stand / Prop / Attach / Animations

Prop settings for the hotdog stand.

* <mark style="background-color:orange;">\["model"]:</mark> <mark style="color:yellow;">@string</mark> It is the model of the prop. You can examine the models from [**PlebMaster**](https://forge.plebmasters.de)
* <mark style="background-color:orange;">\[spawn\_coords"]:</mark> <mark style="color:yellow;">@vector4</mark> Where the Stand will spawn.
* <mark style="background-color:orange;">**\["attach\_settings"]:**</mark> The settings for attaching the model to the user.
  * <mark style="background-color:red;">\["bone"]:</mark> <mark style="color:yellow;">@number</mark> Select the appropriate one of the bonnets that the characters have. You can see the bones and their names in [**AltV - Ped Bones**](https://docs.altv.mp/gta/articles/ped/bones.html)
  * <mark style="background-color:red;">\["coords"]:</mark> <mark style="color:yellow;">@vector3</mark> It is the offset to be added to the 0.0 position of the character.
  * <mark style="background-color:red;">\["rotation"]:</mark> <mark style="color:yellow;">@vector3</mark> The location, direction and heading settings of the model when attaching it to the character.
* <mark style="background-color:orange;">\["animName"]:</mark> <mark style="color:yellow;">@string</mark> Animation name.
* <mark style="background-color:orange;">\["animDict"]:</mark> <mark style="color:yellow;">@string</mark> Animation directory name.

***

## 🔖NPC Request items

It is a list of items that NPCs will request from the hotdog vendor.

* <mark style="background-color:orange;">\["label"]:</mark> Name of the item to be requested from the player.
* <mark style="background-color:orange;">\["animName"]:</mark> <mark style="color:yellow;">@string</mark> Animation name.
* <mark style="background-color:orange;">\["animDict"]:</mark> <mark style="color:yellow;">@string</mark> Animation directory name.
* <mark style="background-color:orange;">\["progresstime"]:</mark> <mark style="color:yellow;">@number</mark> Item preparation and delivery time to the NPC.
* <mark style="background-color:orange;">\["prop"]:</mark> Prop will appear on the NPC.
  * <mark style="background-color:red;">\["bone"]:</mark> <mark style="color:yellow;">@number</mark> Select the appropriate one of the bonnets that the characters have. You can see the bones and their names in [**AltV - Ped Bones**](https://docs.altv.mp/gta/articles/ped/bones.html)
  * <mark style="background-color:red;">\["coords"]:</mark> <mark style="color:yellow;">@vector3</mark> It is the offset to be added to the 0.0 position of the character.
  * <mark style="background-color:red;">\["rotation"]:</mark> <mark style="color:yellow;">@vector3</mark> The location, direction and heading settings of the model when attaching it to the character.
  * <mark style="background-color:red;">\["model"]:</mark> <mark style="color:yellow;">@string</mark> You can enter the vehicle model here. Be careful to enter a valid vehicle.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.0resmon.org/0resmon/wais-resoucres/wais-jobpack/job-settings/mobile-hotdog.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
